/* Copyright © https://evidencesystem.ca all rights reserved 2020-2026 */
body {
display:-ms-flexbox;
display:flex;
-ms-flex-align:center;
align-items:center;
}
.form-label-group {
position:relative;
margin-bottom:1rem;
}
.form-label-group > input,
.form-label-group > label {
padding:var(--formLabelGroupPadding_Y) var(--formLabelGroupPadding_X);
}
.form-label-group > label {
position:absolute;
top:0;
left:0;
display:block;
width:100%;
margin-bottom:0;
line-height:1.5;
color:var(--varFormControlText);
border:1px solid transparent;
border-radius:.25rem;
transition:all .1s ease-in-out;
}
.form-label-group input::-webkit-input-placeholder {
color:transparent;
}
.form-label-group input:-ms-input-placeholder {
color:transparent;
}
.form-label-group input::-ms-input-placeholder {
color:transparent;
}
.form-label-group input::-moz-placeholder {
color:transparent;
}
.form-label-group input::placeholder {
color:transparent;
}
.form-label-group input:not(:placeholder-shown) {
padding-top:calc(var(--formLabelGroupPadding_Y) + var(--formLabelGroupPadding_Y) * (2 / 3));
padding-bottom:calc(var(--formLabelGroupPadding_Y) / 3);
}
.form-label-group input:not(:placeholder-shown) ~ label {
padding-top:calc(var(--formLabelGroupPadding_Y) / 13);
padding-bottom:calc(var(--formLabelGroupPadding_Y) / 13);
font-size:12px;
color:#777;
}
